import log from 'loglevel';

// 根据环境设置日志级别
if (import.meta.env.DEV) {
  log.setLevel('debug');
} else {
  log.setLevel('warn');
}

const logger = {
  debug: log.debug.bind(log),
  info: log.info.bind(log),
  warn: log.warn.bind(log),
  error: log.error.bind(log),
}

export default logger;
